{ config, pkgs, ... }:

{
  networking.dhcpcd.wait = "background";
  networking.dhcpcd.extraConfig = "noarp";
  networking.networkmanager.enable = true;

  # networking.useDHCP = false;
  # networking.interfaces.enp0s31f6.useDHCP = true;
  # networking.interfaces.wlp3s0.useDHCP = true;
  # networking.wireless.enable = true;
  # networking.wireless.interfaces = [ "wlp3s0" ];
  # networking.wireless.userControlled.enable = true;

  # networking.wireless.userControlled.enable = true;
  # networking.wireless.networks = {
  #   "Chester 11403" = {
  #     pskRaw = "43fcb0bea43633899a9885865c53ea79d268b9bdfb8c3f4013718e43e6672e5e";
  #   };
  #   "HSBNEWiFi" = {
  #     pskRaw = "0820d84980eeb47630f13f04804fc9add684a8feebb64ba914cafc48f569d801";
  #   };
  #   "TP-LINK_1D79" = {
  #     pskRaw = "6d960910c33a59e94b151281cc3982863b4b112d8a4efd1b165e4f8e52e7dae8";
  #   };
  #   "nadir" = {
  #     pskRaw = "92e0c1f0b3a1bada333964f0ee4ac04e0d9ba941aa3f29216cc3782595a41e5f";
  #   };
  #   "WiFi-399631" = {
  #     pskRaw = "2e312c9721e470847f751d8b844d264dc5e2612361a579fc0bdebd2135b5a8ea";
  #   };
  #   "line" = {
  #     pskRaw = "ec36a5a116224c12e305c90b7f3c5a0b7417abfaacf15828748f6a1e1e316c03";
  #   };
  #   "MEHRA" = {
  #     pskRaw = "e1573bc9e30fd68ac8a805b7c5f9871322ffcdac909746831555905c2e156abb";
  #   };
  #   "Sandeep1" = {
  #     pskRaw = "035972401640bf4dc2d8651c0b9df515a69f6bc2bffa07cc936183128a6ccf0a";
  #   };
  #   "chadpad" = {
  #     pskRaw = "2594b3880a60817950bd60b2770c9793fd4cb784ed183f685a52502a9df2c7b1";
  #   };
  #   # "updog" = {
  #   #   pskRaw = "be28d9e50e4d9a065f1afccad52675d0d4fabe85526c0245648671721db606b1";
  #   # };
  #   "Vodafone-07F38" = {
  #     pskRaw = "4ffd87de73ed31ef1aee1d0d178857490afbda3f0bb8453a0baaee7b2576f302";
  #   };
  # };
}
